// ZEEDHI - FRAMEWORK
window.templateUrl = "bower_components/zeedhi-frontend/templates/dyman/";
window.serviceUrl = "../backend/index.php";
window.docsUrl = "../bower_components/zeedhi-frontend/docs/dyman/";
window.templateUrls = window.templateUrls ?  window.templateUrls : [];
window.templateUrls.push(
    {
    	package: "zh-reports",
		baseUrl: "bower_components/zh-reports/dist/templates/"
    }
);

var packages = {
    "product": "/assets/",
    "modules": "/assets/",
    "zeedhiFramework": "./bower_components/zeedhi-frontend/assets/",
    
    "zhuacl": "./bower_components/zhuaclfrontend/assets",
    "zhulog": "./bower_components/zhulog/assets",

    "devtools_generatedatasource": "../../devtools/mobile/assets/modules/generatedatasource/assets/",

    "lib": "./bower_components/tek-libraries",
    
    "acl"                  : "/acl/assets/",
    "login"                : "/login/assets/",
    "sm_propostas"         : "/sm_propostas/assets/",
    "df"                   : "/df/assets/",
    "df_entrada"           : "/df/assets/modules/entrada/assets/",
    "df_saida"             : "/df/assets/modules/saida/assets/",
    "df_relatorios"        : "/df/assets/modules/relatorios/assets/",
    "cadFin"               : "/cadFin/assets/",
    "cadCtb"               : "/cadCtb/assets/",
    
    "zh-preferences"       : "./bower_components/zh-preferences/dist/assets/",
    "zh-filter-preferences": "./bower_components/zh-filter-preferences/dist/assets/",
    "zh-layout-preferences": "./bower_components/zh-layout-preferences/dist/assets/",
    "zh-view-preferences"  : "./bower_components/zh-view-preferences/dist/assets/"
};

var metadataUrls = [], serviceUrls = [];

var pathname = location.pathname;
if(pathname.search('mobile') !== -1 ) {
    pathname = pathname.replace('/mobile', '').split('/modules')[0];
} else {
    pathname = '';
}

var pkgBaseUrls = {
    "acl"                  : location.origin + pathname + "/backend_acl/index.php",
    "login"                : location.origin + pathname + "/backend_login/index.php",
    "sm_propostas"         : location.origin + pathname + "/backend_sm_propostas/index.php",
    "df"                   : location.origin + pathname + "/backend_df/index.php",
    "cadFin"               : location.origin + pathname + "/backend_cadFin/index.php",
    "cadCtb"               : location.origin + pathname + "/backend_cadCtb/index.php",
    "zh-preferences"       : "../backend/index.php" + '/zh-preferences',
    "zh-filter-preferences": "../backend/index.php" + '/zh-preferences',
    "zh-layout-preferences": "../backend/index.php" + '/zh-preferences',
    "zh-view-preferences"  : "../backend/index.php" + '/zh-preferences',
    "default": window.serviceUrl
};

if (!window.isServicesManagement) {
    pkgBaseUrls["product"] =  "../../../backend/index.php";
    packages["product"] = packages["modules"];
}

for (var key in packages) {
    metadataUrls.push({
        "package": key,
        "baseUrl": packages[key]
    });

    var keyPkg = key.split("_")[0];
    var realBaseKey = pkgBaseUrls.hasOwnProperty(keyPkg) ? keyPkg : "default";
    serviceUrls.push({
        "package": key,
        "baseUrl": pkgBaseUrls[realBaseKey]
    });
}

window.lang = 'pt_br';
window.projectId = 911;
window.inDeveloperMode = false;
window.applicationVersion = "3.86.2";
window.metadataUrl = "assets";
window.metadataUrls = metadataUrls;
window.serviceUrls = serviceUrls;
window.defaultUserImageUrl = '/assets/images/user.jpg';
window.cssUrl = "/assets/css/pebbian.css";
window.cssStyle = "inflightor";
window.fileServerBaseUrl = "<>FILESERVER_BASE_URL<>";
window.undefinedImage = "/assets/images/undefined-image.png";
window.keepTitle = true;
window.backendIndexUrl = window.location.origin + "<>BACKEND_INDEX_URL_SM<>";
window.urlSmNext = "<>URL_SM_NEXT<>";
window.defaultContainer = "product#sm_next_dashboard";